<style >
    .btn-group button{
        height:30px;}
    
    .amount {
        text-align: right !important;
        font-weight: bold !important;
    }
    
    .center {
        text-align: center !important;
    }
	  
    button {
        margin-left:2px;
    }
   
    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_5 .content.np #listDetails tbody #trInfos td .row-fluid .controls-row .span3 {
        font-size: 11px;
        color: #000;
        font-weight: bold;
    }
    .test {
        font-size: 10px;
    }
    .span3 {
        font-size: 10px;
    }
    tbody {
        font-size: 10px;
    }
	 tbody td {
        font-size:11px;
	}
    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_6 .content.np #listCharge tbody #trInfosCharge td .row-fluid .controls-row .span3 {
        font-weight: bold;
    }
</style>
<script type="application/javascript">
   
   $(document).ready(function(){
	$('select').select2();
	$.each($(".select2-container"), function (i, n) {
            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
            $(n).prepend($(n).next());
            $(n).delay(500).queue(function () {
                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                $(this).dequeue();
            });
        });	
        jQuery('.datepicker2').datepicker({
                dateFormat : 'dd-mm-yy',
                changeMonth : true,
                changeYear : true
        });
});

 
    
    function displaybanksInfos() {
       $("#acctNo").val($("#bank option:selected").attr("data-bankAccountNo"));
   }
    
    function  activateOrDesactivate(me){
        if($(me).is(':checked')){
             var tr = $(me).parent().parent();
              v = $(tr).find("td").eq(4).text();
             $(tr).find("td").eq(5).children("input:last-child").removeAttr("disabled");
             $(tr).find("td").eq(6).children("input:last-child").removeAttr("disabled");
              $(tr).find("td").eq(5).children("input:last-child").val("0");
              $(tr).find("td").eq(6).children("input:last-child").val(v);
        }else {
            var tr = $(me).parent().parent();
             $(tr).find("td").eq(5).children("input:last-child").attr("disabled","disabled");
             $(tr).find("td").eq(6).children("input:last-child").attr("disabled","disabled");
              $(tr).find("td").eq(5).children("input:last-child").val("");
              $(tr).find("td").eq(6).children("input:last-child").val("");
        }
        getTotalDiscountAndTotalApplied();
        updateOtherCharges();
    }
      
    function loadPayerDetailsValue(){
        $.ajax({
            type: "POST",
            data: "payer=" + $("#payer").val(),
            url: "<?php echo base_url() ?>artransaction/loadPayerDetailsValue",
            success: function(data) {
                $("#bodyListPendingInvoices").empty();
                var rs = eval ("(" + data + ")"); 
                var n=rs.recordSet.length;
                $("#currency").val(rs.currency);
                $("#exchange_rate").val(rs.exchangeRate);
                $("#previewOutOfBalance").val(rs.outOfBalance);
                nList = 0;
                var tbody='';
                for (i=0;i<n;i++){
                    tbody=tbody + '<tr>' + 
                                  '    <td>' + (++nList) + '</td>' +
                                  '    <td>' + rs.recordSet[i].formNo + ' [' + rs.recordSet[i].ID + ']' + '</td>' +
                                  '    <td>' + rs.recordSet[i].salesInvoiceDate + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalamount, 2)  + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalReceivable, 2)  + '</td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input data-invoiceID="'+ rs.recordSet[i].ID  +'" onchange="activateOrDesactivate(this)" type="checkbox" /> </td>' +
                                  '</tr>'
                }
                $("#bodyListPendingInvoices").append(tbody);
            }
        });
    }
    
    function selecOrUnselecttAll(me){
        if($(me).is(':checked')){
           $("#listDetails > tbody > tr").each (function(){
              var tr = $(this);
              v = $(tr).find("td").eq(4).text();
              $(tr).find("td").eq(5).children("input:last-child").val("0");
              $(tr).find("td").eq(6).children("input:last-child").val(v);
              $(tr).find("td").eq(7).children("input:last-child").prop("checked",true);
              $(tr).find("td").eq(5).children("input:last-child").removeAttr("disabled");
             $(tr).find("td").eq(6).children("input:last-child").removeAttr("disabled");
           });
        }else {
            $("#listDetails > tbody > tr").each (function(){
              var tr = $(this);
              v = $(tr).find("td").eq(4).text();
              $(tr).find("td").eq(5).children("input:last-child").val("");
              $(tr).find("td").eq(6).children("input:last-child").val("");
              $(tr).find("td").eq(7).children("input:last-child").prop("checked",false);
              $(tr).find("td").eq(5).children("input:last-child").attr("disabled","disabled");
             $(tr).find("td").eq(6).children("input:last-child").attr("disabled","disabled");
            });
        }
        getTotalDiscountAndTotalApplied();
    }
    
    function getTotalDiscountAndTotalApplied(){
        var totalDiscount = 0;
        var totalApplied = 0;
        $("#listDetails > tbody > tr").each (function(){
            var tr = $(this);
            var ck = $(tr).find("td").eq(6).children("input:last-child");
            if($(ck).length){
                totalDiscount += accounting.unformat($(tr).find("td").eq(5).children("input:last-child").val())*1;
                totalApplied += accounting.unformat($(tr).find("td").eq(6).children("input:last-child").val())*1;
            }else{
                totalDiscount += accounting.unformat($(tr).find("td").eq(5).text())*1;
                totalApplied += accounting.unformat($(tr).find("td").eq(6).text())*1;
            }
        });
         if (isNaN(totalDiscount))
            totalDiscount =0;
        if (isNaN(totalApplied))
            totalApplied = 0;
        $("#totalapplied").val(accounting.formatNumber(totalApplied, 2));
        $("#totaldiscount").val(accounting.formatNumber(totalDiscount, 2));
        updateOtherCharges ();
    }
     
    
    function updateTotalPaid(){
        var tRec = accounting.unformat($("#amountPaid").val())*1;   
        if (isNaN(ob))
            ob =0;
        if (isNaN(tRec))
            tRec = 0;
        $("#totalPaid").val(accounting.formatNumber(tRec, 2));
        var ob = accounting.unformat($("#totalPaid").val()) - accounting.unformat($("#totalapplied").val()) -accounting.unformat($("#totalotherscharges").val());
        $("#outOfBalance").val(accounting.formatNumber(ob, 2));
    }
    
    function editRow(me){
        if(!$("#_mntDiscount").length){
        var tr = $(me).parent().parent();
        var td1 =$(tr).find("td").eq(5);
        var v = $(td1).text();
        $(td1).empty();
        $(td1).append (
                "<input id='_mntDiscount' data-previewvalue='" + v + "' type='text' value ='" + v +"' onkeyup='getTotalDiscountAndTotalApplied()' class='amount span12' />" 
                );
        var td2 =$(tr).find("td").eq(6);
         var v = $(td2).text();
        $(td2).empty();
        $(td2).append (
                "<input id='_montAplied' data-previewvalue='" + v + "' type='text' value ='" + v +"' onkeyup='getTotalDiscountAndTotalApplied()' class='amount span12' />" 
                );
        
        var td3 =$(tr).find("td").eq(7);
         $(td3).empty();
        $(td3).append (
                 '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="updatePaymentRow(this)" class="btn-icon btn-mini btn-success-form"><i class="i-checkmark-3"></i></button>' +
                  '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="canceledit(this)" class="btn-icon btn-mini btn-danger-form"><i class="i-cross"></i></button>'
                );
    }else {
         alertbox ("A row is being edit ...",2);
           // $("#msgDiv").attr("class","alert alert-error");
            // $("#msgDiv").html("Oops !!! A row is being edit ...");
        }
        
    }
    
    function canceledit(me){
        var tr = $(me).parent().parent();
        var td1 =$(tr).find("td").eq(5);
        var v = $("#_mntDiscount").attr("data-previewvalue");
        $(td1).empty();
        $(td1).text(v);
         var v = $("#_montAplied").attr("data-previewvalue");
          var td2 =$(tr).find("td").eq(6);
         $(td2).empty(); 
        $(td2).text (v);
        
        var td3 =$(tr).find("td").eq(7);
         $(td3).empty();
        $(td3).append (
                 '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="editRow(this)"   class="btn-icon btn-mini btn-success-form"><i class="i-checkmark-3"></i></button>' +
                 ' <button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="deleteRow(this)" class="btn-icon btn-mini btn-danger-form"><i class="i-cross"></i></button>'
                );
        getTotalDiscountAndTotalApplied();
    }
    
    function updateOtherCharges(){
         var t = accounting.unformat($("#bankcharges").val()) - accounting.unformat($("#totaldiscount").val());
         if (isNaN(t))
            t =0;
         $("#totalotherscharges").val(accounting.formatNumber(t, 2));
         $("#totalotherschargesCopy").val(accounting.formatNumber(t, 2));
         updateTotalPaid();
    } 
     
    
    

    function deleleteTR(me){
           var td=me.parentNode;
              var tr=td.parentNode;
              var tBody=tr.parentNode;
              tBody.removeChild(tr);
    }
 
    function deleteRow(me){
            $("#_popupTitle").html("Confirm delete");
            $("#_popupContent").html("Your about to delete definively this row. <br/> Click on ok to confirm");
            $('#_popupFooter').empty();
            $('#_popupFooter').append('<button class="btn-form btn-success-form" id="_ok">Ok</button>' +
            '<button class="btn-form btn-danger-form" id="canb">Cancel</button>');
            $("#_popupTitle").html("Confirm delete");
            $("#canb").click(function() {
            $('#popupModal').modal('hide');
         });
          $('#popupModal').modal('show');
          $("#_ok").click(function() {
            $('#popupModal').modal('hide');
          //  discount : accounting.unformat($("#_mntDiscount").val()),
          //  amountApplied : accounting.unformat($("#_montAplied").val()),
            
            var tr = $(me).parent().parent();
            var myid =$(me).attr("data-myid");
            
            
            $(tr).find("td").eq(7).children("button:first-child").trigger( "click" );
            $("#_mntDiscount").val(0);
            $("#_montAplied").val(0);
            $("#outOfBalance").val(accounting.formatNumber(accounting.unformat($("#outOfBalance").val()) + accounting.unformat($(tr).find("td").eq(6).text()),2));
            
            getTotalDiscountAndTotalApplied();
            
            
              $.ajax({
                type: "POST",
                data: {
                    
                   
                  detaildId : $(me).attr("data-myid"),
                  discount : accounting.unformat($("#_mntDiscount").val()),
                  amountApplied : accounting.unformat($("#_montAplied").val()),
                  
                  
                  masterId:  $("#_masterId").val(),
                  memo: $("#memo").val(),
                  amountPaid :  accounting.unformat($("#amountPaid").val()),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalPaid : accounting.unformat($("#totalPaid").val()),
                  outOfBalance : accounting.unformat($("#outOfBalance").val()),
                  
                  invoiceId:  $(me).attr("data-invoiceid"),
                  totalPayable : accounting.unformat($("#_montAplied").attr("data-previewvalue")) - accounting.unformat($("#_montAplied").val()) + accounting.unformat($(tr).find("td").eq(4).text()),
            
                },
                url: "<?php echo base_url() ?>aptransaction/updatePaymentRow",
                success: function(data) {
                     
            
                    $.ajax({
                       type: "POST",
                        data: {
                        id :myid
                        },
                        url: "<?php echo base_url() ?>aptransaction/deletePaymentDetailRow",
                        success: function(data) {
                            deleleteTR (document.getElementById("_montAplied"));
                            alertbox("Payment Successfully deleted ",1);
                             //$("#msgDiv").attr("class","alert alert-success");
                            //$("#msgDiv").html("Payment Successfully deleted ");
                        } 
                    });
                    
                }
            });
           
    });
    }
    

    
    function saveNewPayRows(){
    
            pDetails ='{"rs":[';
            firstime = true;
           // var selectedRow = "";
            var myRows =$("#totalPaid").attr("data-lastRow");
            $("#listDetails > tbody > tr").each (function(){
                var tr = $(this);
                var ck = $(tr).find("td").eq(7).children("input:last-child");
                if($(ck).is(':checked')){
                    str ='';
                    if (firstime){
                     firstime = false;
                     str = ''
                    }else {
                       firstime = false;
                        str = ',' 
                    }
                    arBalance = accounting.unformat($(tr).find("td").eq(4).text())*1;
                    mntDiscount = accounting.unformat($(tr).find("td").eq(5).children("input:last-child").val())*1;
                    mntApplied = accounting.unformat($(tr).find("td").eq(6).children("input:last-child").val())*1;
                    pDetails += str + '{"invoiceID":"' + $(ck).attr("data-invoiceid") + '"' +
                                  ',"amountApplied":"' + mntApplied + '"' +
                                  ',"arBalance":"' + arBalance + '"' +
                                  ',"discount":"' + mntDiscount + '"}';
                }
            });
            pDetails += ']}';
            
            $.ajax({
                type: "POST",
                data: {
                  lastLine : $("#totalPaid").attr("data-lastRow"),
                  masterId:  $("#_masterId").val(),
                  pDetails :pDetails,
                  memo: $("#memo").val(),
                  amountPaid :  accounting.unformat($("#amountPaid").val()),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalPaid : accounting.unformat($("#totalPaid").val()),
                  outOfBalance : accounting.unformat($("#outOfBalance").val()) 
                  
                },
                url: "<?php echo base_url() ?>aptransaction/addpaymentdetailsOnly",
                success: function(data) {
                    if (data>0){ 
                        alertbox ("Well Done !!! Update Successfully",1);
                        $("#btnSave").attr("class"," btn-form btn-success-form disabled");
                       // $("#msgDiv").attr("class","alert alert-success");
                        //$("#msgDiv").html("Well Done !!! Update Successfully made ");
                        location.reload(true );
                    } else {
                        alertbox ("Oops !!! fail to update data",2);
                       // $("#msgDiv").attr("class","alert alert-error");
                        //$("#msgDiv").html("Oops !!! fail to update data ");
                    }
                    
                }
            });
    }
    
    function addInvoices(){
         $("#bodyListPendingInvoices").append("<tr id='_mytr'><td colspan='7'>\n\
         <div class='alert alert-info'>Out Standing Invoices</div></td><td class='center'><input onchange='selecOrUnselecttAll(this)' type='checkbox' /></td></tr>");
        $.ajax({
                type: "POST",
                data: {
                 supplier : $("#supplier").attr("data-id")
                },
                url: "<?php echo base_url() ?>aptransaction/loadsupplierPendingInvoices",
                success: function(data) {
                     var rs = eval ("(" + data + ")"); 
                var n=rs.recordSet.length;
                nList = 0;
                var tbody='';
                for (i=0;i<n;i++){
                    tbody=tbody + '<tr>' + 
                                  '    <td>' + (++nList) + '</td>' +
                                  '    <td>' + rs.recordSet[i].formNo + '</td>' +
                                  '    <td>' + rs.recordSet[i].invoiceDate + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalAmount, 2)  + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalPayable, 2)  + '</td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td class="center"><input data-invoiceID="'+ rs.recordSet[i].ID  +'" onchange="activateOrDesactivate(this)" type="checkbox" /> </td>' +
                                  '</tr>'
                }
                $("#listDetails").append(tbody);
                $("#btnSave").text("Save");
                $("#btnSave").attr("onclick","saveNewPayRows()");
                }
            }); 
    }
 
        
    function updatePaymentRow(me){
       
        var tr = $(me).parent().parent();
         $.ajax({
                type: "POST",
                data: {
                    
                  detaildId : $(me).attr("data-myid"),
                  discount : accounting.unformat($("#_mntDiscount").val()),
                  amountApplied : accounting.unformat($("#_montAplied").val()),
                  
                  
                  masterId:  $("#_masterId").val(),
                  memo: $("#memo").val(),
                  amountPaid :  accounting.unformat($("#amountPaid").val()),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalPaid : accounting.unformat($("#totalPaid").val()),
                  outOfBalance : accounting.unformat($("#totalPaid").val()) - accounting.unformat($("#totalapplied").val()) ,
                  
                  invoiceId:  $(me).attr("data-invoiceid"),
                  totalPayable : accounting.unformat($("#_montAplied").attr("data-previewvalue")) - accounting.unformat($("#_montAplied").val()) + accounting.unformat($(tr).find("td").eq(4).text()),
            
                },
                url: "<?php echo base_url() ?>aptransaction/updatePaymentRow",
                success: function(data) {
                    if (data>0){ 
                         alertbox ("Well Done !!! Payment Successfully Updated",1);
                        //$("#msgDiv").attr("class","alert alert-success");
                        //$("#msgDiv").html("Well Done !!! Payment Successfully Updated ");
                    } else {
                        alertbox ("fail to update data ",2);
                      //  $("#msgDiv").attr("class","alert alert-error");
                        //$("#msgDiv").html("Oops !!! fail to update data ");
                    }
                     var tdBalance =$(tr).find("td").eq(4);
                     $(tdBalance).text(accounting.formatNumber(accounting.unformat($("#_montAplied").attr("data-previewvalue")) - accounting.unformat($("#_montAplied").val()) + accounting.unformat($(tr).find("td").eq(4).text()),2));
                     
                    var td1 =$(tr).find("td").eq(5);
                    var v = $("#_mntDiscount").val();
                    $(td1).empty();
                    $(td1).text(v);
                     var v = $("#_montAplied").val();
                      var td2 =$(tr).find("td").eq(6);
                     $(td2).empty(); 
                    $(td2).text (v);

                    var td3 =$(tr).find("td").eq(7);
                     $(td3).empty();
                    $(td3).append (
                             '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="editRow(this)"   class="btn-icon btn-mini btn-warning-form"><i class="i-pen"></i></button>' +
                             ' <button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="canceledit(this)" class="btn-icon btn-mini btn-danger-form"><i class="i-trashcan"></i></button>'
                            );
                    
                     location.reload(true);
                     
                      }
                      
            });
    }
    
    function updateMaster(){
        if(confirm('Please, confirm update ...')){
       
    $.ajax({
    type: "POST",
            data: {
                     masterId:  $("#_masterId").val(),
                    project : $("#project").val(),
                    referenceNo : $("#referenceNo").val(),
                     date : $("#createDate").val(),
                    memo : $("#memo").val(),
                    formNo : $("#formNo").val()

            },
            url: "<?php echo base_url() ?>aptransaction/update_payment_header",
            success: function(data) {
                alertbox ("Details successfully saved",1);
            }
    }); //end ajax
}
    }

</script>



<div id="content"> 
    <div class="wrap">
        <div class="head">
            <div class="info">
                <!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
				<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
                <ul class="breadcrumb">
                    <li><a href='<?php echo base_url() . "home" ?>'><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                    <li><a href='<?php echo base_url() . "gl/home" ?>'> <?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                    <li class="active"><?php echo $this->lang->line('title') ?></li>
                </ul>
            </div>

            <div class="search">
                <form action="<?php echo base_url() ?>admin/search" method="post">
                    <input name="search_text" type="text" placeholder="search..."/>                                
                    <button type="submit"><span class="i-magnifier"></span></button>
                </form>
            </div>        

        </div><!-- head --> 
        <div class="content" id="grid_content_1">
            <form id="paymentForm" action="#">    
				<div class="block">
					<div class="head">
						<h2><strong><?php echo $this->lang->line('title') ?></strong></h2>
					</div><!-- head -->
					<div class="content np">
					<?php
						$address = "";
						$memo ="";
						$totalPaid = "";
						$totalApplied = "";
						$totalOtherCharges = "";
						$outOfBalance = "";
						$totalDiscount = "";
						$totalBankCharge = "";
						
						if ($master){	 
							foreach($master as $rowIn){
								$memo =$rowIn->memo;
								$totalPaid = $rowIn->amountPaid;
								$totalApplied = $rowIn->totalApplied;
								$totalOtherCharges = $rowIn->totalOtherCharge;
								$outOfBalance = $rowIn->outOfBalance;
								$totalDiscount = $rowIn->totalDiscount;
								$totalBankCharge = $rowIn->bankCharges;
					?> 
					<div class="row-fluid scRow">                   
						<div class="span6 scCol">
							<div class="block" id="grid_block_1">
                                                            
                                                            <div class="controls-row">
                                        <div class="span4"><?php echo $this->lang->line('formNo') ?></div>
                                        <div class="span4">
                                            <input class="span12 validate[required]" id="formNo" name="formno" value='<?php echo $rowIn->frmNo; ?>' style="color:red;"   type="text" placeholder="Form number ...">
                                        </div>
                                        <div class="span4">
                                            <input class="span12" type="text" value="<?php echo str_pad($rowIn->serialNo, 8, '0', STR_PAD_LEFT);  ?>" placeholder="Serial" disabled="disabled">
                                        </div>
                                    </div> <!-- row -->
                                    
                                    <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('paymentDate') ?></div>
                                    <div class="span8">
                                         <input id = "createDate" class="datepicker2 validate[required] financhk span12" value="<?php echo date("d-m-Y",strtotime($rowIn->paymentDate)) ?>" type="text"  class="span12"/>
                                    </div>
                                </div> <!-- row -->
                                    
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('supplier') ?></div>
                                    <div class="span8">
										<div class="span12">
											<input type="hidden" id="_masterId" value="<?php echo $rowIn->myid ?>" />
                                                                                        <input class="span12" id="supplier" data-id="<?php echo $rowIn->supplierID ?>" value="<?php echo $rowIn->supplierName; ?>" type="text" disabled="disabled"/>
										</div>
									</div>
                                </div> <!-- row -->

                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('currency') ?></div>
                                    <div class="span8">
										<div class="span12">
											<input value="<?php echo $rowIn->currencyWord ?>" type="text" disabled="disabled" class="span12"/>           
										</div><!-- span -->
									</div><!-- span -->
                                </div><!-- control row -->
								
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('exchangeRate') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo number_format($rowIn->exchangeRate,5) ?>" type="text" disabled="disabled" class="span12"/>           
                                    </div><!-- span -->
                                </div><!-- control row -->
								
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('project') ?></div>
                                    <div class="span8">
                                         <select id="project" class="span12">
                                                    <option></option>
                                                    <?php
                                                        if ($project != '') {
                                                            foreach ($project as $Prow) {
                                                        ?>
                                                            <option <?php if($Prow->ID == $rowIn->projectID ) echo "selected" ?> value="<?php echo $Prow->ID; ?>"><?php echo $Prow->project_name; ?></option>
                                                        <?php }
                                                    } ?>
                                                </select>
                                    </div>
                                </div> <!-- row control -->
                               
                                
                        </div><!-- grid block 1-->                  
                    </div><!-- scCol -->
                    <div class="span6 scCol">
                        <div class="block" id="grid_block_2">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('bank') ?></div>
                                    <div class="span8">
                                       <input value="<?php echo $rowIn->bankName ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('accno') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo $rowIn->bankAccountNo ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                 
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('paymentMethod') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo $rowIn->paymentMethod ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('refNo') ?></div>
                                    <div class="span8">
                                         <input id="referenceNo" value="<?php echo $rowIn->referenceNo ?>" type="text" class="span12"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                 <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('outOfBalance') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo number_format($rowIn->outOfBalance,2) ?>" id="previewOutOfBalance" type="text" disabled="disabled" class="span12 amount"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('amountPaid') ?></div>
                                    <div class="span8">
                                        <input disabled="disabled" value="<?php echo number_format($rowIn->amountPaid,2) ?>" onkeyup="updateTotalPaid()" type="text" id="amountPaid" class="span12 amount"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row fluid-->
				
                <div class="row-fluid scRow">                            
					<div class="span12 scCol">
						<textarea placeholder="<?php echo $this->lang->line('memo') ?>"  id="memo" class="span12"><?php echo $memo; ?></textarea>
					</div>
				</div>
				
				<div class="footer">
					<div class="side fr">
						<div class="btn-group">
							<button  onclick="updateMaster()" class="btn-form btn-success-form" type="button" title="<?php echo $this->lang->line('submit') ?>">
							<?php echo $this->lang->line('update') ?>
							</button>
						</div><!-- btn group -->      
					</div><!-- side fr -->      
				</div><!-- footer -->  
				<?php }}else {?>
				
				<div>
                    <div class="alert alert-error">
                        Payment Not Found or Not Modifiable
   `                 </div>
				</div>
				<?php }?>
                             
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('listofinvoices') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne">
                                            <span class="i-arrow-down-3"></span>
                                        </a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">                                
                                <table id="listDetails" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('invoiceFormNo') ?></th>
                                            <th><?php echo $this->lang->line('invoiceDate') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('totalAmount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('apBalance') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('discount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountApplied') ?></th>
                                            <th class="center"><?php echo $this->lang->line('action') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody id="bodyListPendingInvoices">
                                        <?php
                                         $lastRow = 0;
                                        if ($details && $master){	 
                                             foreach($details  as $row){
                                                 if ($row->lineNo>$lastRow)
                                                     $lastRow = $row->lineNo;
                                        ?> 
                                        <tr>
                                            <td><?php echo $row->lineNo ?></td>
                                            <td><?php echo $row->formNo ?></td>
                                            <td><?php echo $row->invoiceDate ?></td>
                                            <td class="amount"><?php echo number_format($row->totalAmount,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->totalPayable,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->discount,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->amountApplied,2) ?></td>
                                            <td class="center">
                                                <button data-invoiceid="<?php echo $row->invoiceID ?>" data-myid="<?php echo $row->myid ?>" onclick="editRow(this)" class="btn-icon btn-mini btn-success-form"><i class="i-pen"></i></button>
                                                <button data-invoiceid="<?php echo $row->invoiceID ?>" data-myid="<?php echo $row->myid ?>" onclick="deleteRow(this)" class="btn-icon btn-mini btn-danger-form"><i class="i-trashcan"></i></button>
                                            </td>
                                        </tr>
                                        <?php }} ?>
                                    </tbody>
                                </table> 
								<div class="controls-row">
									<tr id="trInfosCharge">
                                            <td colspan="8">
                                                <div id="msg_div2" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                    </tr>
								</div>
                            </div><!-- content -->
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
				
				<?php if ($master){ ?>
				
				<div class="row-fluid scRow">  			
                    <div class="span6 scCol">
                        <div class="block" id="grid_block_4">
							<div class="controls-row">
								<div class="span5"><?php echo $this->lang->line('totalDiscount') ?></div>
                                <div class="span7">
									<input id="totaldiscount" data-oldValue ="<?php echo $totalDiscount; ?>"  value="<?php echo $totalDiscount; ?>" class="span12 amount" type="text" placeholder="0" disabled="disabled" >
                                </div>
                            </div><!-- row control -->
                            <div class="controls-row">
								<div class="span5"><?php //echo $this->lang->line('BankCharges') ?></div>
                                <div class="span7">
									<!--input id="bankcharges" data-oldValue ="<?php echo $totalBankCharge; ?>"  value="<?php echo $totalBankCharge; ?>" class="span12 amount" type="text" onkeyup="updateOtherCharges()" placeholder="0"-->
                                </div>
                            </div><!-- row control -->
                            <div class="controls-row">
								<div class="span5"><?php echo $this->lang->line('totalOtherCharges') ?></div>
                                <div class="span7">
									<input id="totalotherscharges" data-oldValue ="<?php echo $totalOtherCharges; ?>"  value="<?php echo $totalOtherCharges; ?>" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
								</div>
                           </div><!-- row control -->              
						
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->
                 
                    <div class="span6 scCol">
                        <div class="block" id="grid_block_4">
                         
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('TotalPaid') ?></div>
                                    <div class="span7">                                         
                                        <input data-lastRow="<?php echo $lastRow; ?>" onchange="updateTotalPaid()" id="totalPaid" class="span12 amount" data-oldValue ="<?php $totalPaid ?>" value="<?php echo number_format($totalPaid,2); ?>" type="text" placeholder="0" disabled="disabled" >
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalApplied') ?></div>
                                    <div class="span7">
                                        <input id="totalapplied" data-oldValue ="<?php  echo $totalApplied; ?>" class="span12 amount validate[required min[1]]" value="<?php echo number_format($totalApplied,2); ?>" type="text" disabled="disabled"  placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalOtherCharges') ?></div>
                                    <div class="span7">
                                        <input id="totalotherschargesCopy" data-oldValue ="<?php echo $totalOtherCharges; ?>" value="<?php echo number_format($totalOtherCharges,2); ?>" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                 <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('outOfBalance') ?></div>
                                    <div class="span7">
                                        <input id="outOfBalance" disabled="disabled" data-oldValue ="<?php echo $outOfBalance; ?>" value="<?php echo number_format($outOfBalance,2); ?>"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->                         
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->                  
                </div><!-- row-fluid scRow-->
                
                 <div class="row-fluid scRow">  
					<div class="span12 scCol">
                        <div class="block" id="grid_block_4">
							<div class="footer">
									<div class="side fr">
										   <div class="btn-group">
												<a href="<?php echo base_url() ?>aptransaction/supplierpaymentList" class="btn-form btn-warning-form ">Confirm List</a>
												<a id="btnSave" onclick="addInvoices()" class="btn-form btn-success-form"><?php echo $this->lang->line('addinvoice') ?></a>
	                                      </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                             </div><!-- footer -->   
						</div><!-- block-->
					</div><!-- span -->   
				 </div><!-- row-fluid scRow-->
				  <?php }?> 
						</div>
					</div>
				</div>
            </form>
        </div><!-- grid 1 -->
    </div><!-- wrap -->
</div><!-- content -->



